# Interface FileItemHeaders

public interface FileItemHeaders
This class provides support for accessing the headers for a file or form item that was received within a `multipart/form-data` POST request.

## Method Summary

Modifier and Type
Method
Description
`void`
`addHeader(String name, String value)`
Adds a header.
`String`
`getHeader(String name)`
Gets the value of the specified part header as a `String`.
`Iterator<String>`
`getHeaderNames()`
Gets an `Iterator` of all the header names.
`Iterator<String>`
`getHeaders(String name)`
Gets all the values of the specified item header as an `Iterator` of `String` objects.

## Method Details

### addHeader

void addHeader(String name, String value)
Adds a header.

Parameters:
  `name` - name
  `value` - value.

### getHeader

String getHeader(String name)
Gets the value of the specified part header as a `String`.

If the part did not include a header of the specified name, this method return `null`. If there are multiple headers with the same name, this method returns the first header in the item. The header name is case insensitive.

Parameters:
  `name` - a `String` specifying the header name
Returns:
  a `String` containing the value of the requested header, or `null` if the item does not have a header of that name

### getHeaderNames

Iterator<String> getHeaderNames()
Gets an `Iterator` of all the header names.

Returns:
  an `Iterator` containing all of the names of headers provided with this file item. If the item does not have any headers return an empty `Iterator`

### getHeaders

Iterator<String> getHeaders(String name)
Gets all the values of the specified item header as an `Iterator` of `String` objects.

If the item did not include any headers of the specified name, this method returns an empty `Iterator`. The header name is case insensitive.

Parameters:
  `name` - a `String` specifying the header name
Returns:
  an `Iterator` containing the values of the requested header. If the item does not have any headers of that name, return an empty `Iterator`